Plack::LWPish(3)

NAME
Plack::LWPish - HTTP::Request/Response compatible interface with HTTP::Tiny backend

SYNOPSIS
  use Plack::LWPish;

  my $request = HTTP::Request->new(GET => 'http://perl.com/');

  my $ua = Plack::LWPish->new;
  my $res = $ua->request($request); # returns HTTP::Response

DESCRIPTION
This module is an adapter object that implements one method, "request" that acts like LWP::UserAgent's request method i.e. takes HTTP::Request object and returns HTTP::Response object.

This module is used solely inside Plack::Test::Suite and Plack::Test::Server, and you are recommended to take a look at HTTP::Thin if you would like to use this outside Plack.

AUTHOR
Tatsuhiko Miyagawa

SEE ALSO
HTTP::Thin HTTP::Tiny LWP::UserAgent